Bug 74472 - (r128) screen goes white when accessing the console
(r128) screen goes white when accessing the console
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
Blocks: 82779
  Show dependency treegraph
Reported: 2002-09-24 18:30 EDT by Don Hardaway
Modified: 2007-04-18 12:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-08 08:31:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log file for XFree86 (33.08 KB, text/plain)
2002-09-24 18:33 EDT, Don Hardaway
no flags Details
here is the log file after adjusting the vertical rate to 120 to get 1280x960 resolution, i still would like to get 1024x768--suggestions please. (40.75 KB, text/plain)
2002-12-11 13:18 EST, Don Hardaway
no flags Details
log file taken right after a white screen crash going from console to gnome (30.29 KB, text/plain)
2002-12-11 22:58 EST, Don Hardaway
no flags Details
config file (3.05 KB, text/plain)
2002-12-11 22:59 EST, Don Hardaway
no flags Details
messages file (347.67 KB, text/plain)
2002-12-11 23:19 EST, Don Hardaway
no flags Details
XFree86 config (3.37 KB, text/plain)
2003-01-24 11:17 EST, Don Hardaway
no flags Details
log file (35.40 KB, text/plain)
2003-01-24 11:18 EST, Don Hardaway
no flags Details
messages file (39.89 KB, text/plain)
2003-01-24 11:22 EST, Don Hardaway
no flags Details

  None (edit)
Description Don Hardaway 2002-09-24 18:30:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
Screen goes white when accessing the console ctrl-alt-F1. I just installed the
latest files from rh network dated sept.xx. I have a dell laptop c800 with a ati
mobility m4 graphics card with 32MB memory. I was running null and updated with
the latest packages--i assume for version 8.0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.hold down crtl-alt-f1

Actual Results:  white screen

Expected Results:  console screen

Additional info:
Comment 1 Don Hardaway 2002-09-24 18:33:44 EDT
Created attachment 77124 [details]
log file for XFree86
Comment 2 Mike A. Harris 2002-10-01 09:07:53 EDT
Please do a fresh installation of Red Hat Linux 8.0 (not an upgrade from
beta) and see if the problem persists please.
Comment 3 Don Hardaway 2002-10-01 09:57:47 EDT
I have already upgraded to rh8.0.  I have my personal files that keeps me from
reformating and installing from scratch.  I don't have a good way of backing
them up yet.  But, are there some files (versions) that I can check to assure
that I have the same version files you wanted to accomplish by a fresh install?

Me and a number of other people still have the problem of not being able to
change screen resolution to 1024x768. In fact in an article on linuxtoday.com a
reviewer of rh 8.0 published that X is the biggest problem with the release. I
agree. If you want to solve this problem I will help in any way i can.  Most
people I know have laptops especially in corporate american which is where rh is
headed from what i read.
Comment 4 Don Hardaway 2002-10-02 12:24:41 EDT
I am getting the white screen of death fairly regularly now when i login as root
and do some things and try to log out the screen goes white and i have to hard
Comment 5 Don Hardaway 2002-10-09 13:52:51 EDT
The white screen of death seems to happen also if you are logged in as a typical
user and some other application hangsup then when you try to logout to be able
to log back in so things get cleared the screen turns white and you have to do a
hard shutdown.  Is this being addresses or am I wasting my time.
Comment 6 Mike A. Harris 2002-10-09 18:46:21 EDT
With 300 bug reports and one developer working on X, me - I'm unable
to drop what I'm doing and focus on one single person's problem.  Sorry.

If you are patient enough to work along with me with this problem over
the time it takes to do so, then please continue.  If you are expecting
an instantaneous solution to the problem, then you are probably wasting
both of our time.

I do not have the video hardware which you are reporting this bug against,
so I cannot reproduce the problem, and cannot look into it at all, other
than asking you to try different things to narrow the problem down
hopefully to a certain section of code, which I can then inspect for
obvious bugs, or report to someone who is a developer outside of Red
Hat and has the hardware.

If you don't have the patience to work collaboratively to a solution,
then I am unable to help you at all.
Comment 7 Don Hardaway 2002-10-09 21:15:36 EDT
Fair enough. Let me know when and what you need me to do next.
Comment 8 Don Hardaway 2002-10-10 10:30:24 EDT
Meanwhile, can you give me some direction on what log files to look at or traces
I can perform when the screen goes white (and I have to do a hard reboot) so
that when you are ready to diagnose the problem I will have useful informaton.
Comment 9 Need Real Name 2002-10-17 05:26:08 EDT
I see this same problem on RH 8.0 (Clean install) as well totally different

Bring up Xwin and "text"/Console mode is inaccessable (ctrl-alt-f1), attempting
to causes the screen to flash and then machine hangs requiring hardboot.  If I
shutdown the machine from within x it shutsdown but the screen flashes for every
console message (I believe they are console messages but can't see them).

I'm not running with DRI enabled (which I have heard can cause these problems).

There are no cores/kernel panics or logs about problems.
The XFree log reports this as the only warning/error but this is occuring
without doing any switches
"s3v: warning: VerticalRetraceWait timed out(1:3).
s3v: warning: VerticalRetraceWait timed out(3:3).
Toshiba Satellite Pro 490XCDT
160mb Ram
S3 Virge/MX
using s3virge driver.

I'm willing to help and try resolve/narrow the problem causes because I don't
think this is doing my laptop screen much good!
Second after 4 times of this happening I managed to thrash the superblock -
thank god for those backup copies!
Comment 10 Don Hardaway 2002-10-31 15:23:52 EST
More info on the white screen of death. I have noticed that when I am browsing
the internet and there is a long wait for a site to respond or if the
communication is left in limbo due to a dns server being down or anything that
causes a prolonged wait for a response or a response is left in suspension--then
when you logout the screen goes white and you have to do a hard shutdown.
Comment 11 adam.huffman 2002-11-07 12:52:57 EST
I'm seeing this also on the same Dell laptop.  It's similar to what I reported
in https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=72153 - at least from my

I haven't been doing any X-to-console switching as a result.  The
screen-going-white happens at shutdown for me, probably two thirds of the time.

It's a clean install of 8.0, the only difference is that my video RAM is 16MB.
Comment 12 Don Hardaway 2002-11-08 12:58:54 EST
Things just got worse. I am using openoffice to write my papers and I have
noticed that X is not refreshing the screen completely when I am making changes
to the text. I have to scroll down or up until the text I just changed is off
the screen and then scroll back to the changed location for the changes to
appear. This is serious since I can not very well do my work with this
happening. I am 100% reliant on rh8.0 now that windows2000 is off of my system.
I hope to get some feedback on how to address this problem.
Comment 13 Don Hardaway 2002-11-18 15:17:25 EST
Now, while using gaim, gaim suddenly crashes and quits.  If I try to logout the
screen goes white and I have to reboot totally. It appears that X if it is
responsible for the white, is the #1 problem I have with this distro. Unless
fixed, I may have to reload windoz2000. I am getting the white screen as a
result of a number of different network activities. I wish I knew what was going on.
Comment 14 Mike A. Harris 2002-11-18 15:53:57 EST
It's unlikely that this problem will be fixed any time soon because:

1) I do not have a laptop computer (any laptop)
2) I do not have access to ATI Rage 128 Mobility M4 hardware
3) Without direct access to the hardware and ability to reproduce it
   directly, there is absolutely nothing at all whatsoever that I can
   do about this problem other than what I am doing right now which
   is monitoring XFree86 CVS for driver updates, monitoring 12 different
   mailing lists, and keeping close contact with various developers
   working on the ATI drivers.

If your machine is unuseable in Linux on this hardware, then you may
very well need to use other hardware, or use Windows 2000 or some other
solution until this problem can be resolved by someone with direct
physical access to the hardware and able to reproduce the problem.

I'm sorry I am unable to help you currently, however I will continue
to monitor the various sources of bugfixes that are available, and will
update the bug report when I have news to report or new drivers to
Comment 15 Don Hardaway 2002-11-18 19:51:44 EST
Although I understand the disadvantage of not having a laptop like mine to use
for diagnosing the problem, there are other ways to approach this. When I
encountered a problem with nautilus, the engineer had me run traces and send
copies of various diagnostic logs to him and he was able to isolate the problem
and fixed it for the next release. I can be your eyes and hands if you just
relax and lead me through the diagnostic steps you are so good at.  Bye the way,
I have had some correspondence with a engineer for XFree86 who has corresponded
with the person that wrote the r128 and can contact him again if that would
help. Looking over the bug reports I have seen a number of X problems with Dell
laptops and some with r128 driver involved. I have a Dell C800 that uses the
r128 as you know.  By the way, are you geographically close to St. Louis Missouri?

Anyway, let me be your virtual eyes and hands and instruct me of some steps to
take that can provide you with the information you need to diagnose the problem.
I'll bet all of the other bug reports concerning dell laptops and r128 will go
away if you crack this one.
Comment 16 Don Hardaway 2002-11-24 09:28:10 EST
I commented out the Load DRI module and so far have not gotten the white screen
of death.
Comment 17 Don Hardaway 2002-11-26 08:47:25 EST
I just got the white screen of death even with the dri not loaded. Everytime it
seems to be related to a Internet browsing issues where you click on a web site
and it never finishes loading and then you close out the browser or click the
stop button and relaunch the browser. Then sometime during the session--either
toggling to a console screen or logging out the screen just goes white and the
machine freezes.  I am not sure why Redhat does not at least provide laptops and
other needed hardware to their engineers. I am sure Dell, HP and other would
loan them machines to help debug Linux for their hardware.
Comment 18 Don Hardaway 2002-11-27 13:49:43 EST
I would like to know if this is going to help. Will the upcoming Jan. release of
XFree86 4.3.0 help these problems I am having with X on my Dell C800 laptop??
Comment 19 Don Hardaway 2002-12-11 13:18:33 EST
Created attachment 88444 [details]
here is the log file after adjusting the vertical rate to 120 to get 1280x960 resolution, i still would like to get 1024x768--suggestions please.
Comment 20 Mike A. Harris 2002-12-11 14:23:30 EST
I can't state wether or not XFree86 4.3.0 will solve this problem or not
because 4.3.0 doesn't exist yet.  If I knew that it would in fact be fixed,
then it would already be fixed in CVS, and I would close this bug as
"fixed in RAWHIDE" as I've got CVS XFree86 in rawhide.  I have no way
whatsoever of knowing if this is fixed in rawhide, or will be fixed in
4.3.0, unless someone who has the hardware that is problematic tests
the CVS XFree86 out and tells me.  If it does fix it, then we can close
this bug report as RAWHIDE.  If it does not fix it, then we basically
wait until someone who has the hardware fixes it, or someone sends me
a patch.

As for "why doesn't Red Hat supply their engineers with Laptops", it is
really quite simple.  Red Hat can't afford to ship me 500 laptops to
cover every bug against every random laptop that gets reported in
bugzilla.  We have limited manpower and resources, and hardware.  If
you really want this problem resolved ASAP, you're best off contacting
the XFree86 video driver maintainer directly, or purchasing a
commercial support contract which can then escalate the issue perhaps.

Disable 2D acceleration with Option "noaccel" in your config file.

Does that prevent the problem?

Comment 21 Mike A. Harris 2002-12-11 14:24:58 EST
Also, please provide up to date XFree86 log file, config file, and
Comment 22 Don Hardaway 2002-12-11 22:58:14 EST
Created attachment 88504 [details]
log file taken right after a white screen crash going from console to gnome
Comment 23 Don Hardaway 2002-12-11 22:59:38 EST
Created attachment 88505 [details]
config file
Comment 24 Don Hardaway 2002-12-11 23:19:51 EST
Created attachment 88506 [details]
messages file
Comment 25 Don Hardaway 2002-12-11 23:23:14 EST
Additionally, I am trying very hard to find the person within XFree86.org
responsible for the r128 driver that is giving tons of people problems on their
dell laptops--just do a search on google and you will see. I am also trying some
new vertical and horizontal setting that one person claims will allow me to get
a resolution of 1024x768--we'll see.
Comment 26 Don Hardaway 2002-12-11 23:40:16 EST
OK. Some good news. By increasing the HorizSync from 31.5 - 90.0 to 31.5 - 117
and the VertRefresh from 55 - 82 to 55 - 235, I can now lower resolutions
including the 1024x768 that i have been trying to get for so long.  Also, I put
in the option "NoAccel" and boy does it make the screen scroll in chuncks when
browsering.  Hope this provides some clues.
Comment 27 Don Hardaway 2002-12-11 23:53:08 EST
Some more information. I get the "white screen of death" commonly when I log
out. The second condition where it crashes is switching from console to gui or
vice versa.  Having Option "NoAccel" does not prevent the crashes.
Comment 28 Don Hardaway 2003-01-24 11:16:22 EST
I have the latest XFree86, gdm etc. from rawhide and the screen still crashes
and goes white locking up my machine.  the files are attached.
Comment 29 Don Hardaway 2003-01-24 11:17:52 EST
Created attachment 89578 [details]
XFree86 config
Comment 30 Don Hardaway 2003-01-24 11:18:43 EST
Created attachment 89579 [details]
log file
Comment 31 Don Hardaway 2003-01-24 11:22:45 EST
Created attachment 89580 [details]
messages file

Note You need to log in before you can comment on or make changes to this bug.